emvidi emvidi - 18 days ago 7
Sass (Sass) Question

Install beta version of bourbon with bower

Hi there I am new to bower and would like to install the beta version of bourbon but get the latest stable version instead.
Command executed:

bower install thoughtbot/bourbon


and got:

bourbon#4.2.7 bower_components/bourbon


Looking at the bower.json in https://github.com/thoughtbot/bourbon I can see the version being "5.0.0-beta.7" which I would like to install. I am doing something wrong?

Executing:

bower install thoughtbot/bourbon#5.0.0-beta.7


displays:

Additional error details:
Available versions in https://github.com/thoughtbot/bourbon.git:4.2.7, 4.2.6, 4.2.5, 4.2.4, 4.2.3, 4.2.2, 4.2.1, 4.2.0, 4.1.1, 4.1.0, 4.0.2, 4.0.1, 4.0.0, 4.0.0-rc.2, 4.0.0-rc.1, 3.2.4, 3.2.3, 3.2.2, 3.2.1, 3.2.0, 3.2.0-beta.2, 3.2.0-beta.1, 3.1.8, 3.1.7, 3.1.6, 3.1.5, 3.1.4, 3.1.3, 3.1.2, 3.1.1, 3.1.0, 3.0.1, 3.0.0, 2.1.3, 2.1.2, 2.1.1, 2.1.0, 1.4.0, 1.3.6, 1.3.5, 1.3.4, 1.3.3, 1.3.2, 1.3.1, 1.3.0, 1.2.0, 1.1.0, 1.0.4, 1.0.3, 1.0.2, 1.0.1, 1.0.0, 0.2.1, 0.2.0, 0.1.9, 0.1.8, 0.1.7, 0.1.6, 0.1.5, 0.1.4, 0.1.3, 0.1.2, 0.1.1, 0.1.0, 0.0.9, 0.0.8, 0.0.7, 0.0.6, 0.0.5, 0.0.4, 0.0.3, 0.0.2, 0.0.1

Answer

Bower will always default to installing the current stable version, which at the time of this writing is 4.2.7. To install a pre-release, like a beta, you’ll need to specify the version:

bower install bourbon#v5.0.0.beta.7

Reference: https://bower.io/docs/api/#install

Comments